From b53188b3168aabb1a1aae09ffca32bb55aa19729 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 15:37:05 +0200
Subject: [PATCH 1/2] plex-media-player: update to 2.37.2.996.

---
 srcpkgs/plex-media-player/template | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

diff --git a/srcpkgs/plex-media-player/template b/srcpkgs/plex-media-player/template
index 8e2041f3a5f..09a9ddfe3b9 100644
--- a/srcpkgs/plex-media-player/template
+++ b/srcpkgs/plex-media-player/template
@@ -1,13 +1,13 @@
 # Template file for 'plex-media-player'
 pkgname=plex-media-player
-version=2.30.1.966
+version=2.37.2.996
 revision=1
-_commit_rev=e4e7b964
+_commit_rev=bea4f9ca
 # See CMakeModules/WebClient.cmake
-_buildid_version=113-862bda5ecd072f
+_buildid_version=132-156395a99cd699
 # See https://artifacts.plex.tv/web-client-pmp/${_buildid_version}/buildid.cmake
-_clientdesktop_version=3.83.2-ecd072f
-_clienttv_version=3.94.0-862bda5
+_clientdesktop_version=3.104.1-99cd699
+_clienttv_version=3.107.0-156395a
 wrksrc="plex-media-player-${version}-${_commit_rev}"
 build_style=cmake
 configure_args="-DQTROOT="${XBPS_CROSS_BASE}/usr" -DFULL_GIT_REVISION=${_commit_rev}"
@@ -26,12 +26,12 @@ distfiles="https://github.com/plexinc/plex-media-player/archive/v${version}-${_c
  https://artifacts.plex.tv/web-client-pmp/${_buildid_version}/web-client-desktop-${_clientdesktop_version}.tar.xz.sha1
  https://artifacts.plex.tv/web-client-pmp/${_buildid_version}/web-client-tv-${_clienttv_version}.tar.xz
  https://artifacts.plex.tv/web-client-pmp/${_buildid_version}/web-client-tv-${_clienttv_version}.tar.xz.sha1"
-checksum="a95fd93aa16dc0de992ceb12282293d537a2f736570c858ffdd454ef6cf2346e
- 02aa7773e955b57226d3485080a10c7bf1fce86997d3c452d9391c30c3185ae7
- 3d9da749787d752c86dd09a2e1a2362c20a48bbe94b4c1f02a9f659f69409fc9
- 5e31732aafee09a6a5cc60c4844b11c002f1ca0101ec61d9d1d07b51b2588876
- a72092b35ba3789d78db716dd410c03fba0580ab6174a77ad5c4e65fad81c021
- 0af40ca520d6e0c9e457dc44cdecf82726fa0fcd83f34b3b20a2864c9af3f4af"
+checksum="1c31b0057337a14bc1eea99f61a44b288b5b7e707f81a629cee941789e6b901a
+ 6b516d498097f1e84d04eefbeaf519492081ed2df9673119b66089ff9822c6f6
+ 5815709d80a66484043b68ec2b86473b165a3a64f855fd59b3d176440f8b210b
+ 5da2c32325943426fad7a00d19ec109452beda7f2a2d112d0238c8c8b07aba98
+ b0a153088d7e85b665b9acbe6ba08eeb230d36eb7ce95fd703f02dc3c57730e7
+ a973210e2e428774d926f2bd044d709963800824c9e421981dd968cacd0020ce"
 skip_extraction="buildid-${_buildid_version}.cmake
  web-client-desktop-${_clientdesktop_version}.tar.xz
  web-client-desktop-${_clientdesktop_version}.tar.xz.sha1
@@ -42,6 +42,10 @@ if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-devel qt5-host-tools"
 fi
 
+case $XBPS_TARGET_MACHINE in
+	arm*) nocross="Qt5Webengine is not aviable for 32bit cross"
+esac
+
 post_extract() {
 	mkdir -p "${wrksrc}/build/dependencies"
 	cp "${XBPS_SRCDISTDIR}/plex-media-player-${version}/buildid-${_buildid_version}.cmake" "${wrksrc}/build/dependencies"

From 58b1473d293f5d8eccbbe704f3ae29bc5686f1b4 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 17:05:01 +0200
Subject: [PATCH 2/2] fixup! plex-media-player: update to 2.37.2.996.

---
 srcpkgs/plex-media-player/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/plex-media-player/template b/srcpkgs/plex-media-player/template
index 09a9ddfe3b9..11f098f782e 100644
--- a/srcpkgs/plex-media-player/template
+++ b/srcpkgs/plex-media-player/template
@@ -37,6 +37,7 @@ skip_extraction="buildid-${_buildid_version}.cmake
  web-client-desktop-${_clientdesktop_version}.tar.xz.sha1
  web-client-tv-${_clienttv_version}.tar.xz
  web-client-tv-${_clienttv_version}.tar.xz.sha1"
+disable_parallel_build=yes
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-devel qt5-host-tools"
